Voice Clone Creation Status

Poll after POST /v1/speech/voices/create until status is COMPLETED or FAILED. When COMPLETED, the response includes voiceId (prefix cln_). When FAILED, check errorMessage for the failure reason.

Path parameters

requestIdstringRequired

Id returned by POST /v1/speech/voices/create. Use it to poll until status is COMPLETED or FAILED.

Headers

tokenstringOptional
api-keystringOptional

Response

Current creation status. When COMPLETED, voiceId is present. When FAILED, check errorMessage.
requestIdstring
statusenum
QUEUED, PROCESSING, COMPLETED, or FAILED
Allowed values:
responseCodestringOptional

Result code for the operation (for example, SUCCESS).

responseMessagestringOptional

Human-readable result message.

voiceIdstringOptional

Present when status is COMPLETED (prefix cln_).

errorMessagestringOptional
Present when status is FAILED.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error